/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

@font-face {
  font-family: "Oswald";
  src: url("../fonts/Oswald/Oswald-Regular.ttf");
}

@font-face {
  font-family: "Oswald";
  src: url("../fonts/Oswald/Oswald-Bold.ttf");
  font-weight:bold;
}

@font-face {
  font-family: "Anton";
  src: url("../fonts/Anton/Anton-Regular.ttf");
}

@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto/Roboto-Regular.ttf");
}

@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto/Roboto-Light.ttf");
  font-weight:300;
}

@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto/Roboto-Thin.ttf");
  font-weight:200;
}

@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto/Roboto-Bold.ttf");
  font-weight:bold;
}

* {
  -webkit-tap-highlight-color: rgba(0,0,0,0); /* make transparent link selection, adjust last value opacity 0 to 1.0 */
  margin:0;
  padding:0;
}

body {
  -webkit-touch-callout: none;                /* prevent callout to copy image, etc when tap to hold */
  -webkit-text-size-adjust: none;             /* prevent webkit from resizing text to fit */
  -webkit-user-select: none;                  /* prevent copy paste, to allow, change 'none' to 'text' */
  height:100%;
  margin:0px;
  padding:0px;
  width:100%;
  background:black;
}

header {
  height:52px;
  font-family: "Oswald", sans-serif;
  font-weight:bold;
  color:#F3F8FB;
  font-size:13px;
  background:black;
  line-height:48px;
  width:100%;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  overflow:hidden;
}

header h1 {
  font-weight:bold;
}

header .cam-icon {
  display:inline-block;
  width:46px;
  height:46px;
  background: url('../img/video-camera.svg') 50% 50% / 28px no-repeat;
  margin-left:6px;
}

header .config-icon {
  display:inline-block;
  width:46px;
  height:46px;
  background: url('../img/settings.svg') 50% 50% / 28px no-repeat;
  margin-right:6px;
}

header .menu-selector {
  height: 5px;
  display:block;
  width:100%;
}

header .menu-selector .left {
  width:50%;
  height: 5px;
  display:inline-block;
  background:#5F7182;
  transition:background 0.4s ease;
}

header .menu-selector .right {
  width:50%;
  height: 5px;
  display:inline-block;
  background:#5F7182;
  transition:background 0.4s ease;
}

header .menu-selector .selected {
  background:#8ED7F5;
}

header .menu-icons {
  padding-top: 6px;
  background:#465568;
}

section#login-page {
  background:none;
  display:block;
  position:absolute;
  transform: translate3d(0,0,0);
  transition:transform 0.7s ease;
  z-index:101;
  background:#465568;
  height:100%;
  top:0;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}

section#record-page {
  display:block;
  position:absolute;
  z-index:99;
  transform: translate3d(0,100vh,0);
  transition:transform 0.4s ease;
}

section#record-list-page {
  background:none;
  display:block;
  position:absolute;
  transform: translate3d(0,0,0);
  transition:transform 0.4s ease;
}

section#config-list-page {
  background:none;
  display:block;
  position:absolute;
  transform: translate3d(100vw,0,0);
  transition:transform 0.4s ease;
}

section#change-mdp-page {
  background:none;
  display:block;
  position:absolute;
  transform: translate3d(100vw,0,0);
  transition:transform 0.4s ease;
}

section#compte-fb-page {
  background:none;
  display:block;
  position:absolute;
  transform: translate3d(100vw,0,0);
  transition:transform 0.4s ease;
}

section#conso-page {
  background:none;
  display:block;
  position:absolute;
  transform: translate3d(100vw,0,0);
  transition:transform 0.4s ease;
}

section#second-list-page {
  background:none;
  display:block;
  position:absolute;
  transform: translate3d(100vw,0,0);
  transition:transform 0.4s ease;
}

section#video-player-page {
  background:none;
  display:block;
  position:absolute;
  transform: translate3d(100vw,0,0);
  transition:transform 0.4s ease;
}

section#video-player-page video {
  background:black;
  width:100%;
  height:calc(100% - 18px);
}

section {
  width:100%;
  height:calc(100% - 52px);
  background:#465568;
  display:block;
}

section h1 {
  color:#E6EFF3;
  font-family:"Roboto", sans-serif;
  font-weight:300;
  font-size:35px;
  padding-top:46px;
  margin-left:18px;
  display:inline-block;
}

section .add-button {
  display:inline-block;
  width:48px;
  height:48px;
  background: url('../img/add-video.svg') 50% 50% / 30px no-repeat;
  border:3px solid #7f94a9;
  border-radius:50%;
  margin-top:-6px;
  margin-left:16px;
  vertical-align: middle;
  color:#7f94a9;
  font-size:12px;
}

section .progress-pie-chart {
  margin:0 auto;
}

section .progress-container {
  padding-top:12vh;
}

section .ppc-percents span {
  color:white;
  font-family:"Roboto", sans-serif;
  font-weight:200;
  font-size:100px;
  margin-left:15px;
}

section .ppc-percents span b {
  color:white;
  font-size:44px;
  vertical-align: top;
  display:inline-block;
  color:#626e7e;
  margin-top:8px;
  font-weight:400;
}

section .ppc-percents .under {
  color:#8ED7F5;
  font-family:"Roboto", sans-serif;
  font-weight:300;
  margin-top:-10px;
  font-size:40px;
  margin-left:15px;
}

section .ppc-percents .under-under {
  color:#626e7e;
  font-family:"Roboto", sans-serif;
  font-weight:400;
  font-size:22px;
  max-width:256px;
  margin:0 auto;
  margin-left:15px;
  margin-top:2px;
  text-transform: uppercase;
}

section .ppc-record {
  content: "";
  position: absolute;
  border-radius: 50%;
  left: calc(50% - 270px/2);
  top: calc(50% - 270px/2);
  width: 270px;
  height: 270px;
  background: #8ED7F5;
  text-align: center;
  display: table;
  opacity:0;
}

section .ppc-record::after {
  content: "";
  position: absolute;
  border-radius: 50%;
  left: calc(50% - 260px/2);
  top: calc(50% - 260px/2);
  width: 260px;
  height: 260px;
  background: #465568;
  text-align: center;
  display: table;
}

section .recording {
  color:#8ED7F5;
  font-family:"Roboto", sans-serif;
  font-weight:300;
  margin:0 auto;
  font-size:18px;
  text-align:center;
  text-transform:uppercase;
  margin-top:6vh;
  opacity:0;
}

section button.start {
  display:block;
  margin:0 auto;
  border:0;
  background:#626e7e;
  width:80vw;
  margin-top:2vh;
  color:white;
  font-family:"Roboto", sans-serif;
  text-transform: uppercase;
  font-weight:bold;
  font-size:20px;
  height:60px;
  border-radius:6px;
  outline:none;
}

section .bottom-top {
  height:18px;
  background:#465568;
  width:100%;
  display:block;
}

section .list-view-loader {
  background: url('../img/loader.svg') 50% 50% / 64px no-repeat rgba(0, 0, 0, 0.4);
  height:100%;
  width:100%;
  position:absolute;
  display:none;
}

section .list-view {
  background:#263242;
  height:calc(100% - 18px);
  overflow-y: auto;
}

section .list-view .titre {
  background:#1f2935;
  display:block;
  width:calc(100% - 34px);
  color:white;
  font-family:'Roboto', sans-serif;
  font-weight:400;
  font-size:23px;
  padding:30px 17px;
  padding-bottom:24px;
}

section .list-view .titre u {
  font-size:16px;
  text-decoration:none;
  color:#7f94a9;
}

section .list-view .un-elem {
  display:block;
  width:calc(100% - 20px);
  color:#dde2e8;
  font-family:'Roboto', sans-serif;
  font-weight:300;
  font-size:17px;
  padding:20px 10px 20px 10px;
  border-bottom:1px solid #364558;
}

section .list-view .last-elem{
  border-bottom:0px;
}

section .list-view .un-elem .desc {
  display:inline-block;
}

section .list-view .un-elem .desc .img {
  display:inline-block;
  height:52px;
  width:64px;
  background:red;
  border-radius:2px;
  vertical-align: top;
  margin-right:10px;
  background-size:cover;
  transform: rotate(90deg);
  background:url('../img/loader.svg') 50% 50% / 32px no-repeat;
}

section .list-view .un-elem span {
  display:inline-block;
  margin-top:8px;
}

section .list-view .un-elem b {
  font-weight: 400;
}

section .list-view .un-elem .control-buttons {
  display:inline-block;
  margin-top:8px;
  margin-right:8px;
}

section .list-view .un-elem a.see-button {
  display:inline-block;
  width:38px;
  height:28px;
  background: url('../img/eye-closeup.svg') 50% 50% / 16px no-repeat;
  border:2px solid #8ED7F5;
  border-radius:4px;
}

section .list-view .un-elem a.delete-button {
  display:inline-block;
  width:38px;
  height:28px;
  background: url('../img/rubbish-bin.svg') 50% 50% / 16px no-repeat;
  border:2px solid #FF6861;
  border-radius:4px;
  margin-left:4px;
  animation:shake 0.35s forwards;
}

section .list-view .un-elem a.go-right {
  text-decoration:none;
  color:#7f94a9;
  font-weight:700;
  font-family: Arial, sans-serif;
}

section .list-view .un-elem a.update {
  width:24px;
  height:24px;
  display:inline-block;
  background: url('../img/update.svg') 50% 50% / 16px no-repeat;
}

section .list-view .un-elem a.emergency {
  width:24px;
  height:24px;
  display:inline-block;
  background: url('../img/emergency.svg') 50% 50% / 16px no-repeat;
}

section#config-list-page .list-view .un-elem {
  padding-left:24px;
  padding-right:16px;
  width:inherit;
}

section#change-mdp-page .list-view .un-elem {
  padding-left:24px;
  padding-right:16px;
  width:inherit;
}

section .list-view .un-elem span.orange {
  display:inline-block;
  margin-top:inherit;
  color:#FF6861;
}

section#login-page .titre {
  display:block;
  width:100vw;
  text-align:center;
  transition:margin-top 0.4s ease;

  margin-top:8vh;  /* TEST RULE */
}

section#login-page .titre h1 {
  font-size:92px;
  font-family: 'Oswald', sans-serif;
  font-weight:bold;
  padding-top:7vh;
  transition:padding-top, 0.4s ease;
}

section#login-page .titre h2 {
  font-size:14px;
  font-family:"Roboto", sans-serif;
  font-weight:300;
  color:#E6EFF3;
  text-transform:uppercase;
  width:70vw;
  min-width:280px;
  margin-left:auto;
  margin-right:auto;
}

section#login-page .inputs {
  display:block;
  margin-top:8vh;
  width:70%;
  text-align: center;
  transition:margin-top, 0.4s ease;
  margin-left:auto;
  margin-right:auto;
  transition:all 0.7s ease;
  overflow:hidden;

  opacity:0; /* TEST RULE */
}

section#login-page .inputs input {
  width:100%;
  border:0;
  height:8vh;
  background:white;
  padding:0 20px;
  border-radius:4px;
  outline: none;
  font-size:16px;
  font-family:"Roboto", sans-serif;
  font-weight:300;
}

section#login-page .inputs input[type=text] {
  width:calc(100% - 64px);
  padding-right:44px;
  background: url('../img/user-silhouette.svg') calc(100% - 15px) 50% / 8% no-repeat white;
  margin-bottom: 5px;
}

section#login-page .inputs input[type=password] {
  width:calc(100% - 64px);
  padding-right:44px;
  background: url('../img/padlock.svg') calc(100% - 15px) 50% / 8% no-repeat white;
  margin-bottom:5px;
}

section#login-page .submits {
  display:block;
  margin-top:6vh;
  width:100vw;
  text-align: center;
  background:#263242;
  height:50vh;
  transition:all 1.2s ease;
  margin-top:40vh;  /* TEST RULE */
}

section#login-page .inputs input::-webkit-input-placeholder {
  color:#aeaeae;
}

section#login-page .inputs input[type=submit]{
  border:0;
  border-radius:4px;
  width:calc(60% + 40px);
  height:8vh;
  background:#626e7e;
  color:white;
  font-size:14px;
  font-weight:400;
}

section#login-page .submits input[type=submit]{
  border:0;
  border-radius:4px;
  width:calc(60% + 40px);
  height:8vh;
  color:white;
  background:#556b9a;
  font-weight:400;
  font-size:14px;
  display:inline-block;
  outline:none;
}

section#login-page .inputs input[type=submit]#connexionBouton {
  width:78%;
  padding:0;
  transition:width 0.7s ease, padding 0.7s ease, color 0.4s ease;
}

section#login-page .inputs input[type=submit]#inscriptionBouton {
  width:20%;
  padding:0;
  background:url('../img/clipboard-with-pencil-.svg') 50% 50% / 4vh no-repeat rgba(142, 216, 245, 0.85);
  transition:width 0.75s ease, padding 0.7s ease, color 1s ease, background-position 0.7s ease;
  text-align: left;
  color:rgba(255, 255, 255, 0);
}

section#login-page .submits p {
  display:block;
  color:white;
  font-family:"Roboto", sans-serif;
  padding-top:2vh;
  padding-bottom:2vh;
}

section#login-page .password-input-container {
  display:block;
  width:100%;
  /*height:calc(8vh + 5px);*/
  overflow:hidden;
  transition:height 0.4s ease;
}

section#login-page .inputs input[type=password]#confirmPasswordInput {
  transition:opacity 0.7s ease;
  opacity:0;
}

section#login-page .loading {
  font-family:'Roboto', sans-serif;
  font-weight:400;
  color:white;
  font-size:13px;
  text-align: center;
  width:100vw;
  margin-top:10vh;
  display: none;
  animation: fadeIn 1.2s infinite;
  transition: all 0.4s ease;
  height:10vh;
  background: url('../img/loading.svg') 50% 25% / 10vh no-repeat;

  display:block;
}

section#config-list-page .checkbox {
  display:inline-block;
  background:white;
  border:1px solid #FAFAFA;
  width:24px;
  height:24px;
  line-height:24px;
  color:#1f2935;
  font-size:24px;
  font-family: Arial,Helvetica Neue,Helvetica,sans-serif;
  border-radius:3px;
  text-align:center;
}

section#config-list-page .check {
  padding: 20px 10px 20px 10px;
}

section#change-mdp-page .une-ligne {
  padding:0.5vh 8vw;
  text-align: center;
}

section#change-mdp-page .premiere-ligne {
  padding-top:4vh;
}

section#change-mdp-page input {
  width:90%;
  border:0;
  height:8vh;
  background:white;
  padding:0 20px;
  border-radius:4px;
  outline: none;
  font-size:14px;
  font-family:"Roboto", sans-serif;
  font-weight:300;
}

section#change-mdp-page input[type=password] {
  width:calc(90% - 64px);
  padding-right:44px;
  background: url('../img/padlock.svg') calc(100% - 15px) 50% / 8% no-repeat white;
  margin-bottom: 5px;
}

section#change-mdp-page input[type=password].old-pass {
  background: url('../img/key.svg') calc(100% - 15px) 50% / 7.4% no-repeat white;
}

section#change-mdp-page input[type=submit]{
  border:0;
  border-radius:4px;
  width:calc(90%);
  height:8vh;
  margin-top:2vh;
  color:white;
  background-color: rgb(98, 110, 126);
  font-weight:400;
  font-size:14px;
  display:inline-block;
  outline:none;
}

div#centre-notifications {
  display:block;
  position:absolute;
  height:6vh;
  color:white;
  font-family:'Roboto', sans-serif;
  font-weight:400;
  line-height:6vh;
  text-align: center;
  left:0;
  right:0;
  top:0;
  width:100vw;
  font-size:13px;
  z-index:200;
  margin-top:-6vh;
  transition:margin-top 0.5s ease;
}

.alerte {
  background:#e67e22;
}

.succes {
  background:#27ae60;
}

.erreur {
  background:#e74c3c;
}

/* Generic blocs - portrait layout (default) */

.app {
  position:absolute;
  width:100vw;
  height:100vh;
  top:0;
  left:0;
  right:0;
  bottom:0;
  background:black;
  overflow:hidden;
}

.full-loader {
  background: url('../img/loader.svg') 50% 50% / 64px no-repeat rgba(0, 0, 0, 0.4);
  height:100%;
  width:100%;
  position:absolute;
  display:none;
  z-index:102;
}

.flex-container {
  display: flex;
  justify-content: space-between;
}

/* Animations */

@keyframes fade {
  0%   { opacity: 0; }
  50%   { opacity: 1; }
  100% { opacity: 0; }
}

@keyframes fadeIn {
  0%   { opacity: 0.2; }
  50%   { opacity: 1; }
  100% { opacity: 0.2; }
}

@keyframes shake {

  0%, 50%, 100% {
    transform: translate3d(-3px, 0, 0);
  }

  25%, 75% {
    transform: translate3d(3px, 0, 0);
  }
}
